Subject: Re: linux-next: scsi-post-merge tree build failure

From: James Bottomley <[email-masked]>
Date: Tue, 08 Sep 2009 10:48:43 -0500

On Tue, 2009-09-08 at 18:12 +1000, Stephen Rothwell wrote:
> Hi James,
> 
> On Mon, 7 Sep 2009 20:06:46 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > Today's linux-next build (powerpc allyesconfig) failed like this:
> > 
> > drivers/scsi/be2iscsi/be_main.c: In function 'hwi_write_buffer':
> > drivers/scsi/be2iscsi/be_main.c:1481: error: implicit declaration of function 'virt_to_bus'
> > 
> > Caused by commit 9316dc3deb9675c674f96a0c6fb74ccc6c497fae ("[SCSI]
> > be2iscsi: add 10Gbps iSCSI - BladeEngine 2 driver") which I have reverted
> > for today.
> 
> The driver needs to depend on CONFIG_VIRT_TO_BUS if it needs to use
> virt_to_bus().  That will prevent it from building on some platforms
> (like powerpc) that do not implement virt_to_bus() and its brothers.

Actually, this is a modern hardware iSCSI card not some legacy piece of
hardware: it needs to use the proper API for this.

James